#
# spec file for package xstdcmap
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xstdcmap
Version:        1.0.3
Release:        lp152.3.5
Summary:        Utility to define standard colormap properties
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xstdcmap utility can be used to selectively define standard colormap
properties. It is intended to be run from a user's X startup script to
create standard colormap definitions in order to facilitate sharing of
scarce colormap resources among clients using PseudoColor visuals.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xstdcmap
%{_mandir}/man1/xstdcmap.1%{?ext_man}

%changelog
* Mon Feb 25 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + Constify some char * to fix gcc warnings.
  + Combine usage message into single string.
  + Add -version option.
  + Replace sprintf with snprintf.
  + -help should not fail if display cannot be opened.
  + Mark Exit() & usage() with _X_NORETURN, cleanup previous
    workarounds.
  + config:
  - Add missing AC_CONFIG_SRCDIR.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Move man pages into their own directory.
    man: remove trailing spaces and tabs.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xstdcmap from xorg-x11. Initial version: 1.0.2.
